Import failure, debugging info error message

Hi there, I am unable to import anki decks created by a friend, the below message occurs. Have tried importing decks from another friend and am able to without any error message. Have tried troubleshooting without any luck. Thanks in advance

Import failed. Debugging info:
Traceback (most recent call last):
File “aqt/importing.py”, line 395, in on_done
File “concurrent/futures/_base.py”, line 432, in result
File “concurrent/futures/_base.py”, line 388, in __get_result
File “concurrent/futures/thread.py”, line 57, in run
File “anki/importing/apkg.py”, line 37, in run
UnicodeDecodeError: ‘utf-8’ codec can’t decode byte 0xb5 in position 1: invalid start byte

I believe that it’s formatted correctly, as it’s only not opening on my computers app, but will open on others. Have tried the troubleshooting too

Are you using a different version of Anki than the others? If it’s an older version, do you still have the setting in Tools > Preferences about using the legacy importer? Turn that setting off.

What did you try on the Troubleshooting checklist, and what were the results?

Go to Tools > About > Copy debug info – and paste that here.

They have PC, not Mac - and I have updated to the latest version of Anki. Legacy importer is off. This is the debug info. Thanks for your help!!!


Anki 2.1.44 (b2b3275f) Python 3.8.6 Qt 5.14.2 PyQt 5.14.2
Platform: Mac 10.16
Flags: frz=True ao=False sv=2
Add-ons, last update check: 2024-06-10 15:30:45


===Add-ons (active)===
(add-on provided name [Add-on folder, installed at, version, is config changed])


===IDs of active AnkiWeb add-ons===


===Add-ons (inactive)===
(add-on provided name [Add-on folder, installed at, version, is config changed])
1 Like

They have PC, not Mac

I always thought Mac is the OS and the product is just PC, wrong?

By the way, you’re on Anki 2.1.44 version. And the latest version should be 24.06.02 as far as I can tell.

Ohh, I had just updated it via the app… I redownloaded the latest through website and now it is working!!! THANK YOU! Not great with tech, if it wasn’t obvious. Really appreciate your help :slight_smile:

Remember, the current system of version naming is basically year.month.patch thus 24.06.02 is the version from this month (06) and this year (24). Easy. Happy that I could be of help to you. Have a great Anki journey ahead!